from dataclasses import dataclass
from osn_var_tools.python_instances_tools import get_class_attributes


@dataclass(frozen=True)
class CurrenciesTags:
	"""
	Contains currency abbreviations for all countries
	"""
	
	afghan_afghani = "afn"
	albanian_lek = "all"
	algerian_dinar = "dzd"
	angolan_kwanza = "aoa"
	argentine_peso = "ars"
	armenian_dram = "amd"
	aruban_florin = "awg"
	australian_dollar = "aud"
	azerbaijani_manat = "azn"
	bahamian_dollar = "bsd"
	bahraini_dinar = "bhd"
	bangladeshi_taka = "bdt"
	barbadian_dollar = "bbd"
	belarusian_ruble = "byn"
	belize_dollar = "bzd"
	bermudian_dollar = "bmd"
	bhutanese_ngultrum = "btn"
	bolivian_boliviano = "bob"
	bosnia_and_herzegovina_convertible_mark = "bam"
	botswana_pula = "bwp"
	brazilian_real = "brl"
	brunei_dollar = "bnd"
	bulgarian_lev = "bgn"
	burmese_kyat = "mmk"
	burundian_franc = "bif"
	cambodian_riel = "khr"
	canadian_dollar = "cad"
	cape_verdean_escudo = "cve"
	cayman_islands_dollar = "kyd"
	central_african_cfa_franc = "xaf"
	cfp_franc = "xpf"
	chilean_peso = "clp"
	colombian_peso = "cop"
	comorian_franc = "kmf"
	congolese_franc = "cdf"
	costa_rican_colon = "crc"
	cuban_peso = "cup"
	czech_koruna = "czk"
	danish_krone = "dkk"
	djiboutian_franc = "djf"
	dominican_peso = "dop"
	eastern_caribbean_dollar = "xcd"
	egyptian_pound = "egp"
	eritrean_nakfa = "ern"
	ethiopian_birr = "etb"
	euro = "eur"
	falkland_islands_pound = "fkp"
	fijian_dollar = "fjd"
	gambian_dalasi = "gmd"
	georgian_lari = "gel"
	ghanaian_cedi = "ghs"
	gibraltar_pound = "gip"
	guatemalan_quetzal = "gtq"
	guinean_franc = "gnf"
	guyanese_dollar = "gyd"
	haitian_gourde = "htg"
	honduran_lempira = "hnl"
	hong_kong_dollar = "hkd"
	hungarian_forint = "huf"
	icelandic_krona = "isk"
	indian_rupee = "inr"
	indonesian_rupiah = "idr"
	iranian_rial = "irr"
	iraqi_dinar = "iqd"
	israeli_new_shekel = "ils"
	jamaican_dollar = "jmd"
	japanese_yen = "jpy"
	jordanian_dinar = "jod"
	kazakhstani_tenge = "kzt"
	kenyan_shilling = "kes"
	kuwaiti_dinar = "kwd"
	kyrgyz_som = "kgs"
	lao_kip = "lak"
	lebanese_pound = "lbp"
	lesotho_loti = "lsl"
	liberian_dollar = "lrd"
	libyan_dinar = "lyd"
	macanese_pataca = "mop"
	macedonian_denar = "mkd"
	malagasy_ariary = "mga"
	malawian_kwacha = "mwk"
	malaysian_ringgit = "myr"
	maldivian_rufiyaa = "mvr"
	mauritanian_ouguiya = "mru"
	mauritian_rupee = "mur"
	mexican_peso = "mxn"
	moldovan_leu = "mdl"
	mongolian_togrog = "mnt"
	moroccan_dirham = "mad"
	mozambican_metical = "mzn"
	namibian_dollar = "nad"
	nepalese_rupee = "npr"
	netherlands_antillean_guilder = "ang"
	new_taiwan_dollar = "twd"
	new_zealand_dollar = "nzd"
	nicaraguan_cordoba = "nio"
	nigerian_naira = "ngn"
	north_korean_won = "kpw"
	norwegian_krone = "nok"
	omani_rial = "omr"
	pakistani_rupee = "pkr"
	panamanian_balboa = "pab"
	papua_new_guinean_kina = "pgk"
	paraguayan_guarani = "pyg"
	peruvian_sol = "pen"
	philippine_peso = "php"
	polish_zloty = "pln"
	qatari_riyal = "qar"
	renminbi = "cny"
	romanian_leu = "ron"
	russian_ruble = "rub"
	rwandan_franc = "rwf"
	saint_helena_pound = "shp"
	samoan_tala = "wst"
	saudi_riyal = "sar"
	serbian_dinar = "rsd"
	seychellois_rupee = "scr"
	sierra_leonean_leone = "sle"
	singapore_dollar = "sgd"
	solomon_islands_dollar = "sbd"
	somali_shilling = "sos"
	south_african_rand = "zar"
	south_korean_won = "krw"
	south_sudanese_pound = "ssp"
	sri_lankan_rupee = "lkr"
	sterling = "gbp"
	sudanese_pound = "sdg"
	surinamese_dollar = "srd"
	swazi_lilangeni = "szl"
	swedish_krona = "sek"
	swiss_franc = "chf"
	syrian_pound = "syp"
	sao_tome_and_principe_dobra = "stn"
	tajikistani_somoni = "tjs"
	tanzanian_shilling = "tzs"
	thai_baht = "thb"
	tongan_paanga = "top"
	trinidad_and_tobago_dollar = "ttd"
	tunisian_dinar = "tnd"
	turkish_lira = "try"
	turkmenistani_manat = "tmt"
	ugandan_shilling = "ugx"
	ukrainian_hryvnia = "uah"
	united_arab_emirates_dirham = "aed"
	united_states_dollar = "usd"
	uruguayan_peso = "uyu"
	uzbekistani_sum = "uzs"
	vanuatu_vatu = "vuv"
	venezuelan_sovereign_bolivar = "ves"
	vietnamese_dong = "vnd"
	west_african_cfa_franc = "xof"
	yemeni_rial = "yer"
	zambian_kwacha = "zmw"


@dataclass(frozen=True)
class CurrenciesSymbols:
	"""
	Contains currency symbols for all countries
	"""
	
	afghan_afghani = "؋"
	albanian_lek = "lek"
	algerian_dinar = "da"
	angolan_kwanza = "kz"
	argentine_peso = "$"
	armenian_dram = "֏"
	aruban_florin = "ƒ"
	australian_dollar = "$"
	azerbaijani_manat = "₼"
	bahamian_dollar = "$"
	bahraini_dinar = "bd"
	bangladeshi_taka = "৳"
	barbadian_dollar = "$"
	belarusian_ruble = "br"
	belize_dollar = "$"
	bermudian_dollar = "$"
	bhutanese_ngultrum = "nu"
	bolivian_boliviano = "bs"
	bosnia_and_herzegovina_convertible_mark = "km"
	botswana_pula = "p"
	brazilian_real = "r$"
	brunei_dollar = "$"
	bulgarian_lev = "lev"
	burmese_kyat = "k"
	burundian_franc = "fr"
	cambodian_riel = "៛"
	canadian_dollar = "$"
	cape_verdean_escudo = "$"
	cayman_islands_dollar = "$"
	central_african_cfa_franc = "fr"
	cfp_franc = "₣"
	chilean_peso = "$"
	colombian_peso = "$"
	comorian_franc = "fr"
	congolese_franc = "fr"
	costa_rican_colon = "₡"
	cuban_peso = "$"
	czech_koruna = "kč"
	danish_krone = "kr"
	djiboutian_franc = "fr"
	dominican_peso = "$"
	eastern_caribbean_dollar = "$"
	egyptian_pound = "le"
	eritrean_nakfa = "nkf"
	ethiopian_birr = "br"
	euro = "€"
	falkland_islands_pound = "£"
	fijian_dollar = "$"
	gambian_dalasi = "d"
	georgian_lari = "₾"
	ghanaian_cedi = "₵"
	gibraltar_pound = "£"
	guatemalan_quetzal = "q"
	guinean_franc = "fr"
	guyanese_dollar = "$"
	haitian_gourde = "g"
	honduran_lempira = "l"
	hong_kong_dollar = "$"
	hungarian_forint = "ft"
	icelandic_krona = "kr"
	indian_rupee = "₹"
	indonesian_rupiah = "rp"
	iranian_rial = "rl"
	iraqi_dinar = "id"
	israeli_new_shekel = "₪"
	jamaican_dollar = "$"
	japanese_yen = "¥"
	jordanian_dinar = "jd"
	kazakhstani_tenge = "₸"
	kenyan_shilling = "sh"
	kuwaiti_dinar = "kd"
	kyrgyz_som = "som"
	lao_kip = "₭"
	lebanese_pound = "ll"
	lesotho_loti = "l"
	liberian_dollar = "$"
	libyan_dinar = "ld"
	macanese_pataca = "mop$"
	macedonian_denar = "den"
	malagasy_ariary = "ar"
	malawian_kwacha = "k"
	malaysian_ringgit = "rm"
	maldivian_rufiyaa = "rf"
	mauritanian_ouguiya = "um"
	mauritian_rupee = "re"
	mexican_peso = "$"
	moldovan_leu = "leu"
	mongolian_togrog = "₮"
	moroccan_dirham = "dh"
	mozambican_metical = "mt"
	namibian_dollar = "$"
	nepalese_rupee = "re"
	netherlands_antillean_guilder = "ƒ"
	new_taiwan_dollar = "$"
	new_zealand_dollar = "$"
	nicaraguan_cordoba = "c$"
	nigerian_naira = "₦"
	north_korean_won = "₩"
	norwegian_krone = "kr"
	omani_rial = "ro"
	pakistani_rupee = "re"
	panamanian_balboa = "b/"
	papua_new_guinean_kina = "k"
	paraguayan_guarani = "₲"
	peruvian_sol = "s/"
	philippine_peso = "₱"
	polish_zloty = "zł"
	qatari_riyal = "qr"
	renminbi = "¥"
	romanian_leu = "leu"
	russian_ruble = "₽"
	rwandan_franc = "fr"
	saint_helena_pound = "£"
	samoan_tala = "$"
	saudi_riyal = "rl"
	serbian_dinar = "din"
	seychellois_rupee = "re"
	sierra_leonean_leone = "le"
	singapore_dollar = "$"
	solomon_islands_dollar = "$"
	somali_shilling = "sh"
	south_african_rand = "r"
	south_korean_won = "₩"
	south_sudanese_pound = "ls"
	sri_lankan_rupee = "re"
	sterling = "£"
	sudanese_pound = "ls"
	surinamese_dollar = "$"
	swazi_lilangeni = "l"
	swedish_krona = "kr"
	swiss_franc = "fr"
	syrian_pound = "ls"
	sao_tome_and_principe_dobra = "db"
	tajikistani_somoni = "sm"
	tanzanian_shilling = "sh"
	thai_baht = "฿"
	tongan_paanga = "t$"
	trinidad_and_tobago_dollar = "$"
	tunisian_dinar = "dt"
	turkish_lira = "₺"
	turkmenistani_manat = "m"
	ugandan_shilling = "sh"
	ukrainian_hryvnia = "₴"
	united_arab_emirates_dirham = "dh"
	united_states_dollar = "$"
	uruguayan_peso = "$"
	uzbekistani_sum = "soum"
	vanuatu_vatu = "vt"
	venezuelan_sovereign_bolivar = "bs.s"
	vietnamese_dong = "₫"
	west_african_cfa_franc = "fr"
	yemeni_rial = "rl"
	zambian_kwacha = "k"


tag_to_symbol = {
	getattr(CurrenciesTags, attribute): getattr(CurrenciesSymbols, attribute)
	for attribute in get_class_attributes(CurrenciesSymbols, contains_exclude="__").keys()
}
